package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class SQLAlterSetDateFormatStatement extends SQLStatementImpl {
   protected SQLName type;
   protected SQLExpr format;
   protected boolean purge;

   public SQLName getType() {
      return this.type;
   }

   public void setType(SQLName type) {
      this.type = type;
   }

   public SQLExpr getFormat() {
      return this.format;
   }

   public void setFormat(SQLExpr format) {
      this.format = format;
   }

   public boolean isPurge() {
      return this.purge;
   }

   public void setPurge(boolean purge) {
      this.purge = purge;
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }
}
